#ifndef QTENGINE_QT_WRAPPER_H
#define QTENGINE_QT_WRAPPER_H

#include <gtk/gtknotebook.h>

#ifdef __cplusplus
extern "C" {
#endif

void createQApp();
void destroyQApp();
void setColors(GtkStyle* style);
void drawButton(GdkWindow * window, GtkStyle * style, GtkStateType state_type, int x, int y, int width, int height);
void drawTab(GdkWindow * window, GtkStyle * style, GtkStateType state_type, int x, int y, int width, int height);
void drawVLine(GdkWindow * window, GtkStyle * style, GtkStateType state_type, int x, int y1, int y2);
void drawHLine(GdkWindow * window, GtkStyle * style, GtkStateType state_type, int y, int x1, int x2);
void drawLineEdit(GdkWindow * window, GtkStyle * style, GtkStateType state_type, int hasFocus, int x, int y, int width, int height);
void drawCheckBox(GdkWindow * window, GtkStyle * style, GtkStateType state_type, int on, int x, int y, int width, int height);
void drawRadioButton(GdkWindow * window, GtkStyle * style, GtkStateType state_type, int on, int x, int y, int width, int height);
void drawScrollBar(GdkWindow * window, GtkStyle * style, GtkStateType state_type, int orientation, GtkAdjustment* adj, int x, int y, int width, int height);
void drawMenuBarItem(GdkWindow * window, GtkStyle * style, GtkStateType state_type, int x, int y, int width, int height);
void drawMenuItem(GdkWindow * window, GtkStyle * style, GtkStateType state_type, int x, int y, int width, int height);

#ifdef  __cplusplus
}
#endif

#endif
